PHP7 compatibility with phpBB 3.1.x

Anything that doesn't seem to fit elsewhere
Post Reply
kc9uhi
Site Admin
Posts: 106
Joined: Mon Dec 02, 2013 10:46 pm

PHP7 compatibility with phpBB 3.1.x

Post by kc9uhi » Sat Sep 24, 2016 7:34 pm

long story short: not compatible.

I upgraded the server a bit ago, which included an auto-update to php7. Didn't auto-update all the modules, extensions, etc. I think I got all of them back in.

phpBB v3.1.x (which this forum runs on) isn't directly compatible with php7. Specifically, the mysql extension is now gone (switched to mysqli), and regex callback functions split to a separate php function (preg_replace_callback), rather than just the /e modifier in preg_replace. This broke bbcode functionality, amongst other things. I think I got things fixed up enough to keep working for now.

I'd update to the 3.2 release candidate (which supports php7), but the forum style hasn't been updated for 3.2 yet. So, until then, if something doesn't work please let me know and I'll try to patch it for the time being.

User avatar
kb9mwr
Posts: 128
Joined: Tue Dec 03, 2013 10:59 am

Re: PHP7 compatibility with phpBB 3.1.x

Post by kb9mwr » Tue Sep 27, 2016 12:34 am

Could be worse.... could be cpan hell.

kc9uhi
Site Admin
Posts: 106
Joined: Mon Dec 02, 2013 10:46 pm

Re: PHP7 compatibility with phpBB 3.1.x

Post by kc9uhi » Mon Jan 09, 2017 12:33 pm

Upgraded to phpBB 3.2. Everything seems to be normal and functional.

Post Reply

Who is online

Users browsing this forum: No registered users and 0 guests